epp_DomainPeriodUnitType (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0705.domain.epp_DomainPeriodUnitType class

### org.openrtk.idl.epp0705.domain

# Class epp_DomainPeriodUnitType

- `java.lang.Object`
- - `org.openrtk.idl.epp0705.domain.epp_DomainPeriodUnitType`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainPeriodUnitType`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class defining constant instances of period unit types for domains. Used in conjunction with the epp_DomainPeriod class to indicate the domain period. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0705/domain/epp_DomainPeriodUnitType.java,v 1.1 2003/03/20 22:42:30 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/20 22:42:30 $

See Also:
  `epp_DomainPeriod`

  ## Field Summary
  `static epp_DomainPeriodUnitType` | `MONTH` Instance of epp_DomainPeriodUnitType representing the MONTH period unit type.
  `static epp_DomainPeriodUnitType` | `YEAR` Instance of epp_DomainPeriodUnitType representing the YEAR period unit type.
  `static int` | `_MONTH` Integer value representing the MONTH period unit type.
  `static int` | `_YEAR` Integer value representing the YEAR period unit type.

  ## Constructor Summary
  `epp_DomainPeriodUnitType(int value)` For internal use only.

  ## Method Summary
  `static epp_DomainPeriodUnitType` | `from_int(int value)` Transform an integer into a epp_DomainPeriodUnitType constant.
  `String` | `toString()`
  `int` | `value()` Accessor method for the internal integer representing the unit type of period.

## Field Details

### MONTH

    public static final epp_DomainPeriodUnitType MONTH

> Instance of epp_DomainPeriodUnitType representing the MONTH period unit type. Used directly with epp_DomainPeriod.
> See Also:
>   `epp_DomainPeriod`

### YEAR

    public static final epp_DomainPeriodUnitType YEAR

> Instance of epp_DomainPeriodUnitType representing the YEAR period unit type. Used directly with epp_DomainPeriod.
> See Also:
>   `epp_DomainPeriod`

### _MONTH

    public static final int _MONTH

> Integer value representing the MONTH period unit type.
> Field Value:
>   1
> See Also:
>   `MONTH`

### _YEAR

    public static final int _YEAR

> Integer value representing the YEAR period unit type.
> Field Value:
>   0
> See Also:
>   `YEAR`

## Constructor Details

### epp_DomainPeriodUnitType

    protected epp_DomainPeriodUnitType(int value)

> For internal use only. Initializes the internal period unit type array.
> Parameters:
>   `value` - The integer value for the desired period unit type

## Method Details

### from_int

    public static epp_DomainPeriodUnitType from_int(int value)

> Transform an integer into a epp_DomainPeriodUnitType constant. Given the integer representation of the period unit type, returns one of the period unit type constants.
> Parameters:
>   `value` - The integer value for the desired period unit type

### toString

    public String toString()

### value

    public int value()

> Accessor method for the internal integer representing the unit type of period. Would compared with _YEAR, _MONTH.
> Returns:
>   The integer value of this domain registration period unit type

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS